STR(3)

NAME
boost::numeric::functional::promote_base<ToFrom,_ToFrom,_void>

SYNOPSIS

// In header: <boost/accumulators/numeric/functional.hpp>
template<typename ToFrom>
struct promote_base<ToFrom, ToFrom, void> : public std::unary_function< ToFrom, ToFrom > {
  // public member functions
  ToFrom & operator()(ToFrom &);
};

DESCRIPTION

  promote_base public member functions

    1.

    ToFrom & operator()(ToFrom & tofrom);